Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2229 - vmstat doesn't like Linux SMP
Summary: vmstat doesn't like Linux SMP
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psmisc
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-17 07:13 UTC by Louis Mandelstam
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-13 01:59:10 UTC


Attachments (Terms of Use)

Description Louis Mandelstam 1999-04-17 07:13:50 UTC
1. vmstat CPU idle column does Strange Things<tm> when CPUs
get busy.

2. vmstat should perhaps show seperate idle columns per CPU.

Comment 1 Michael K. Johnson 1999-05-11 16:14:59 UTC
1) could you be explicit, perhaps paste in a line demonstrating what
   you are writing about?  I suggest that you download procps-1.2.12
   first, as it changes the output format of vmstat a bit and may
   answer this for you, since I don't know what the complaint is...

2) when /proc exports the information, perhaps vmstat will support
   it.  This is a kernel limitation, not a vmstat limitation.

Comment 2 Louis Mandelstam 1999-05-17 10:11:59 UTC
The problem does indeed appear to be fixed in later releases.
The only SMP system under my control that still exhibits the problem
(the rest having been upgraded) is a 5.0 box with procps-1.2.7-1 and
kernel 2.0.32.  Sample output:

 0 0 0     0  6772 24612 338432   0   0    0    0  146   53   0   2 98
 1 0 0     0  6756 24612 338432   0   0    0    0  147   71   0  54 46
 1 0 0     0  6732 24612 338432   0   0    0    0  120   20   0 102
41698710
 1 0 0     0  6724 24612 338432   0   0    0    0  121   15   0 102
41698710
 procs                  memory    swap        io    system         cpu
 r b w  swpd  free  buff cache  si  so   bi   bo   in   cs  us  sy  id
 2 0 0     0  6712 24612 338432   0   0    0   25  150   26   6  96
41698710
 1 0 0     0  6708 24612 338432   0   0    0    0  153   46   1 103
40904447
 1 0 0     0  6704 24612 338432   0   0    0    0  127   33   1 101
41698710
 0 0 0     0  6700 24612 338432   0   0    0    0  170  150   6  91 3
 0 0 0     0  6700 24612 338432   0   0    0    0  119   12   0   2 98

The problem appears to be historic/academic however now, so I'd close
it.  Sorry for the trouble.

Comment 3 Jeff Johnson 1999-06-13 01:59:59 UTC
This appears to be fixed. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.